# std::__add_lvalue_reference_helper< _Tp,, > Struct Template Reference

Inheritance diagram for std::__add_lvalue_reference_helper< _Tp,, >:

List of all members.

## Detailed Description

### template<typename _Tp, bool = is_object<_Tp>::value || is_function<_Tp>::value, bool = is_rvalue_reference<_Tp>::value>
struct std::__add_lvalue_reference_helper< _Tp,, >

Definition at line 112 of file type_traits.

## Public Types

- typedef _Tp type

The documentation for this struct was generated from the following file:

- type_traits